﻿namespace VistaDBQuickAndDirtyBrowser
{
	using System;
	using System.IO;
	using System.Windows.Forms;
	using Properties;

	static class Program
	{
		[STAThread]
		static void Main()
		{
			Application.EnableVisualStyles();
			Application.SetCompatibleTextRenderingDefault(false);

			string name;
			using (var form = new OpenFileDialog())
			{
				form.Filter = "VistaDB 5 database files|*.vdb5";
				form.CheckFileExists = true;
				form.Multiselect = false;

				var fp = Settings.Default.LastFileOpenFolderPath;
				if(!string.IsNullOrEmpty(fp))
				{
					form.InitialDirectory = fp;
				}

				if (form.ShowDialog() == DialogResult.OK)
				{
					name = form.FileName;
					Settings.Default.LastFileOpenFolderPath = Path.GetDirectoryName(name);
					Settings.Default.Save();
				}
				else
				{
					return;
				}
			}

			// --

			var mf = new MainForm();
			mf.Initialize(name);

			Application.Run(mf);
		}
	}
}